Subject: Re: bug#21947: 24.5; epa: option for always replace encrypted text without asking

From: Daiki Ueno <[email-masked]>
Date: Wed, 18 Nov 2015 11:05:17 +0900

Christian Schwarzgruber <[email-masked]> writes:

> When I get a new encrypted email and I hit `C-c C-e d' (epa-mail-decrypt) epa
> asks, if I want replace the original text. Which in my opinion is a bit
> superfluous in this case. This will become especially unpleasant once the
> auto-decrypt functionality is implemented in mu/mu4e.

That sounds reasonable.

> So I patched epa.el and added a boolean `defcustom', when set to `t',
> the text will always be replaced without asking.

I tend to make this a choice of three: never (nil), ask (a symbol),
always (t).  Would that make sense?

Also please adjust `epa-verify-region' as well.

Regards,
-- 
Daiki Ueno